This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 221080 - [73cat] Package name in wizzard for Web Service Client
Summary: [73cat] Package name in wizzard for Web Service Client
Status: RESOLVED FIXED
Alias: None
Product: webservices
Classification: Unclassified
Component: Client (show other bugs)
Version: 7.3
Hardware: PC Windows 7
: P3 normal (vote)
Assignee: Milan Kuchtiak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-30 12:10 UTC by muellermi
Modified: 2013-08-08 02:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2012-10-30 12:10:04 UTC
Product Version = NetBeans IDE Dev (Build 201210300001)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_09
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.5-b02


1. Create a project providing at least 3 Services within the same package, e.g. org.mycompany.services
2. Create a new web app to use this services
3. New -> Web Service -> Web Service Client
4. Within this wizzard provide the URL of the first service, leave package name empty -> NB generates  classes in package org.mycompany.services
5. New -> Web Service -> Web Service Client
6. Within this wizzard provide the URL of the second service, leave package name empty -> NB generates  additional classes in package org.mycompany.services
7. New -> Web Service -> Web Service Client
8. Within this wizzard provide the URL of the third service, enter package name  package org.mycompany.services
 -> 
expected: NB generates  classes in package org.mycompany.services (as in 6)
but wizzard alerts  Package already used for holding FirstService[client] artifacts.
Comment 1 Milan Kuchtiak 2013-08-07 13:18:13 UTC
The error message (prohibiting to finish the wizard) was change to warning message:
Generated JAX-WS artifacts may collide with "xyz" client artifacts. Please, change the package name.

See: http://hg.netbeans.org/web-main/rev/c43eaf93c029

Note: when package field is empty the package name for generated JAX-WS artifacts is derived from wsdl target namespace (otherwise wsimport creates the JAX-WS artifacts in package name specified by user).

The difference between the second and third WS Client (from your scenario) is this:

Second WS Client(package field is empty in the wizard ): The WS Client Wizard is not able to predict the package name for the generated artifacts (it's based on the wsimport algorithm), so there is no warning message.

Third WS Client(package field not empty): IDE is able to predict collision of generated artifacts with other clients.
Comment 2 Quality Engineering 2013-08-08 02:28:16 UTC
Integrated into 'main-silver', will be available in build *201308072300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c43eaf93c029
User: Milan Kuchtiak <mkuchtiak@netbeans.org>
Log: #221080 change error message to warning message